aboutsummaryrefslogtreecommitdiff
path: root/binutils
diff options
context:
space:
mode:
authorK. Richard Pixley <rich@cygnus>1992-05-01 23:22:07 +0000
committerK. Richard Pixley <rich@cygnus>1992-05-01 23:22:07 +0000
commitdc76082997a76d6882dfb9052e2277014c430582 (patch)
treefc430be5b6f2393ac87895c56914141d900b1e75 /binutils
parent60c8001642cb4ad2cb883360424c80ebacc83484 (diff)
downloadfsf-binutils-gdb-dc76082997a76d6882dfb9052e2277014c430582.zip
fsf-binutils-gdb-dc76082997a76d6882dfb9052e2277014c430582.tar.gz
fsf-binutils-gdb-dc76082997a76d6882dfb9052e2277014c430582.tar.bz2
sanity test
Diffstat (limited to 'binutils')
-rw-r--r--binutils/ChangeLog6
-rw-r--r--binutils/Makefile.in1
-rwxr-xr-xbinutils/sanity.sh48
3 files changed, 55 insertions, 0 deletions
diff --git a/binutils/ChangeLog b/binutils/ChangeLog
index dd5e4fa..ad88ba7 100644
--- a/binutils/ChangeLog
+++ b/binutils/ChangeLog
@@ -1,3 +1,9 @@
+Fri May 1 16:20:23 1992 K. Richard Pixley (rich@cygnus.com)
+
+ * sanity.sh: new file.
+
+ * Makefile.in: use sanity test on make check.
+
Tue Apr 21 13:38:37 1992 K. Richard Pixley (rich@cygnus.com)
* Makefile.in: rework CFLAGS so that they can be passed on the
diff --git a/binutils/Makefile.in b/binutils/Makefile.in
index f426164..450cd8e 100644
--- a/binutils/Makefile.in
+++ b/binutils/Makefile.in
@@ -134,6 +134,7 @@ BFD = $(LIBDIR)/libbfd.a
all: $(ADDL_LIBS) $(PROGS)
check:
+ /bin/sh $(srcdir)/sanity.sh .
info: binutils.info
diff --git a/binutils/sanity.sh b/binutils/sanity.sh
new file mode 100755
index 0000000..9b5ca90
--- /dev/null
+++ b/binutils/sanity.sh
@@ -0,0 +1,48 @@
+#!/bin/sh
+### quick sanity test for the binutils.
+###
+### This file was written and is maintained by K. Richard Pixley,
+### rich@cygnus.com.
+
+### fail on errors
+set -e
+
+### first arg is directory in which binaries to be tested reside.
+case "$1" in
+"") BIN=. ;;
+*) BIN="$1" ;;
+esac
+
+### size
+for i in size objdump nm ar strip ranlib ; do
+ ${BIN}/size ${BIN}/$i > /dev/null
+done
+
+### objdump
+for i in size objdump nm ar strip ranlib ; do
+ ${BIN}/objdump -ahifdrtxsl ${BIN}/$i > /dev/null
+done
+
+### nm
+for i in size objdump nm ar strip ranlib ; do
+ ${BIN}/nm ${BIN}/$i > /dev/null
+done
+
+### strip
+TMPDIR=/tmp/binutils-$$
+mkdir ${TMPDIR}
+
+cp ${BIN}/strip ${TMPDIR}/strip
+
+for i in size objdump nm ar ranlib ; do
+ cp ${BIN}/$i ${TMPDIR}/$i
+ ${BIN}/strip ${TMPDIR}/$i
+ cp ${BIN}/$i ${TMPDIR}/$i
+ ${TMPDIR}/strip ${TMPDIR}/$i
+done
+
+### ar
+
+### ranlib
+
+exit 0